%define _major_version 1.5
%define _buildno b00ae97
%define debug_package %{nil}

Name:           pcsx2
Version:        %{_major_version}+git.%{_buildno}
Release:        1%{?dist}
Summary:        A Sony Playstation 2 Emulator
License:        GPLv3
Group:          Applications/Emulators
Url:            http://www.pcsx2.net/
Source0:        %{name}-%{_major_version}-%{_buildno}.tar.gz
#BuildArch:      i686

#BuildRequires: alsa-lib-devel.i686
#BuildRequires: bzip2-libs.i686
#BuildRequires: libjpeg-turbo-devel.i686
#BuildRequires: libGLEW.i686
#BuildRequires: glew-devel.i686
#BuildRequires: portaudio-devel.i686
#BuildRequires: SDL-devel.i686
#BuildRequires: libao-devel.i686
#BuildRequires: wxGTK3-devel.i686
#BuildRequires: soundtouch-devel.i686
#BuildRequires: sparsehash-devel.i686
#BuildRequires: libCg.i686
#BuildRequires: xz-devel.i686
#BuildRequires: zlib-devel.i686
#BuildRequires: lib-png.i686
#BuildRequires: mesa-libGL-devel.i686
#BuildRequires: libaio-devel.i686
#BuildRequires: glib2-devel.i686
#BuildRequires: libX11-devel.i686 

%description
PCSX2 is an open source Playstation 2 emulator. It's purpose is to mimic the the PS2 hardware, using a combination MIPS CPU Interpreters, Recompilers and a Virtual Machine which manages hardware states and PS2 system memory. It requires a dump of a real Playstation 2 BIOS, which is not included.

%prep
%setup -q -n %{name}-%{_major_version}-%{_buildno}

%build
mkdir build
cd build
cmake CMakeLists.txt -DCMAKE_BUILD_PO=FALSE -DCMAKE_TOOLCHAIN_FILE="cmake/linux-compiler-i386-multilib.cmake" -DPACKAGE_MODE=TRUE -DCMAKE_INSTALL_PREFIX="/usr" -DPLUGIN_DIR="/usr/lib/pcsx2" -DGAMEINDEX_DIR="/usr/share/pcsx2" -DCMAKE_BUILD_TYPE=Release -DwxWidgets_LIBRARIES="/usr/lib" -DwxWidgets_INCLUDE_DIRS="/usr/include" -DwxWidgets_CONFIG_EXECUTABLE="/usr/bin/wx-config-3.0" -DwxWidgets_wxrc_EXECUTABLE="/usr/bin/wxrc-3.0" -DGTK3_API=TRUE -DWX28_API=FALSE -DSDL_API=TRUE -DSDL2_API=FALSE -DCMAKE_BUILD_STRIP=TRUE ..
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%attr(0755,root,root) /usr/bin/*
/usr/share/*
/usr/lib/*

%changelog
* Tue Sep 20 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.b00ae97-1
- Updated to latest git version

* Thu Sep 15 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.5+git.1a1d6ab-1
- Updated to latest git version

* Sat Jan 02 2016 Jeremy Wininger <jdwininger@gmail.com> - 1.3.1+git.6e34f18-1
- Updated to latest git version

